[supervisord]
nodaemon=true
logfile=/dev/null
logfile_maxbytes=0
user=root

[program:next]
stdout_logfile=/dev/fd/1
stdout_logfile_maxbytes=0
redirect_stderr=true
command=/bin/sh -c "cd platforms/next && exec ../../node_modules/.bin/next start -p $NEXT_PORT"

[program:graphql]
stdout_logfile=/dev/fd/1
stdout_logfile_maxbytes=0
redirect_stderr=true
command=/bin/sh -c "cd graphql && exec node dist/graphql/main.js"

[program:nginx]
stdout_logfile=/dev/fd/1
stdout_logfile_maxbytes=0
redirect_stderr=true
command=/usr/sbin/nginx -g "daemon off;"

[program:prisma-studio]
stdout_logfile=/dev/fd/1
stdout_logfile_maxbytes=0
redirect_stderr=true
command=/bin/sh -c "if [ \"$PRISMA_STUDIO\" = \"1\" ]; then cd graphql/prisma && exec ../../node_modules/.bin/prisma studio -p $PRISMA_STUDIO_PORT; else exec tail -f /dev/null; fi"
